Datasets

Browse the dataset catalog

Fully public, no API key checked. The full catalog (keyless and gated datasets alike) is returned for discovery/marketing purposes; only loading actual data via `/datasets/{slug}/data` is gated.

GET
/datasets

Query Parameters

query?string
license?string

Comma-separated list of licenses to filter by.

category?string

Comma-separated list of categories to filter by.

tags?string

Comma-separated list of tags to filter by.

min_size?integer
max_size?integer
min_rows?integer
max_rows?integer
page?integer
Default1
page_size?integer
Rangevalue <= 100
Default20

Response Body

application/json

curl -X GET "https://example.com/datasets"
{  "items": [    {      "slug": "string",      "name": "string",      "description": null,      "license": "string",      "category": "string",      "tags": [        "string"      ],      "size": 0,      "row_count": 0,      "column_count": 0,      "keyless": true,      "keyless_until": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "total": 0,  "page": 0,  "page_size": 0}

On this page